stages:
  - deploy
  - test

image: node:latest

cache:
  paths:
    - node_modules/

before_script:
    - apt-get update -qq && apt-get install -y -qq sshpass

deploy:
  only:
  - main
  script:
  - rm ./package-lock.json
  - npm install 
  - npm run build 
  - rm -rf .git
  - rm -rf node_modules
  - cd dist/
  - ls
  - sshpass -V
  - export SSHPASS=$PASSWD
  - sshpass -e scp -o stricthostkeychecking=no -r $(pwd) root@64.225.66.39:8080

test:
  stage: test
  image: node
  script: 
    - echo "Testing App"
    - npm i @vue/cli-service
    - yarn test:unit
    - yarn test:pact
    - echo "Test success!"
